Subject: [MEXT] Neighbor Discovery citations

From: "Charles E. Perkins" <[email-masked]>
Date: Fri, 09 Oct 2009 16:02:33 -0700

Hello folks,

Following my previous comment, I have made changes
based on Arnaud's suggestion.  Generally, in a section of text,
I make an initial citation indicating Neighbor Discovery.
For subsequent references in the same paragraph or
related section of text, I use the shorter "RFC 4861"
to identify the citation.  I hope this is agreeable.
Repeating Neighbor Discovery over and over again
seems quite tedious.

If anyone else wants to suggest other places where
RFC-style citations should be converted into
"protocol-name" style citations, please send me
specific instances and I'll take a crack at it next
week.

Regards,
Charlie P.

> >> s/RFC 4861 [20]/Neighbor Discovery [20]/
> >>
> >> IMHO, this is easier to read. Note that there are various places in the
> >> document where the replacement should be done.
> >>   
>   
> >
> > I'd be happier if you could point them out.
>   
>
> No problem:
>
> Section 6.7 Page 62, first paragrah:
>
>    The Mobile Prefix Solicitation messages may have options.  These
>    options MUST use the option format defined in RFC 4861 [20].
>
> Section 6.8 Page 64, first paragraph:
>
>    The Mobile Prefix Advertisement messages may have options.  These
>    options MUST use the option format defined in RFC 4861 [20].
>
> Section 6.8 Page 64, second paragraph of Prefix Information descr:
>
>       The Prefix Information option is defined in Section 4.6.2 of RFC
>       4861 [20], with modifications defined in Section 7.2 of this
>
> Section 7.2 Page 67, middle of first paragraph:
>
>    than the limit specified in RFC 4861 [20], the sending router need
>    not include all options in each of these Advertisements.  However, in
>
> Section 7.5 Page 71, two occurences in first paragraph:
>
>    are available MUST NOT default to them, and SHOULD default to values
>    specified in RFC 4861.  Knowledge of the type of network interface
>
>   and
>
>    can cause considerable overhead.  Routers SHOULD adhere to the
>    intervals specified in RFC 4861 [20], if this overhead is likely to
>
> Section 7.5 Page 71, last paragraph:
>
>    Note that according to RFC 4861 [20], AdvDefaultLifetime is by
>    default based on the value of MaxRtrAdvInterval.  AdvDefaultLifetime
>
> Section 10.6.1 Page 106, two occurences in last paragraph of that sect.: 
>
>    itself and other home agents on the home link.  In RFC 4861 [20] it
>    is acceptable for two routers to advertise different sets of prefixes
>
>   and
>
>    All other comparisons of Router Advertisements are as specified in
>    Section 6.2.7 of RFC 4861.
>
> Section 11.5.1 Page 126, first paragraph:
>
>    to discover routers and prefixes on the new link, as described in
>    Section 6.3.7 of RFC 4861 [20].
>
> Section 13 Page 145, third paragraph:
>
>    The value MinDelayBetweenRAs overrides the value of the protocol
>    constant MIN_DELAY_BETWEEN_RAS, as specified in RFC 4861 [20].  This
>
>
>

---

From: "Laganier, Julien" <[email-masked]>
Date: Fri, 9 Oct 2009 16:10:38 -0700

> specific instances and I'll take a crack at it next

I think the RFC Editor is going to use a citation style that encloses the RFC number in between brakets, thus the end result RFC won't have "RFC 4861 [20]", but "RFC 4861 [RFC4861]". From that point of view it does make sense to either use "Neighbor Discovery [RFC4861]", or only the reference "[RFC4861]".

--julien